scala.tools.nsc.io

# Lexer

#### object Lexer

Companion object of class `Lexer` which defines tokens and some utility concepts used for tokens and lexers

Linear Supertypes
AnyRef, Any
Content Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Lexer
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### case class Delim (char: Char) extends Token with Product with Serializable

   A subclass of `Token` representing single-character delimiters

2. #### case class FloatLit (str: String) extends Token with Product with Serializable

   A subclass of token representing floating point literals

3. #### case class IntLit (str: String) extends Token with Product with Serializable

   A subclass of token representing integer literals

4. #### class MalformedInput extends Exception

   An exception raised if a if input does not correspond to what's expected

5. #### case class StringLit (str: String) extends Token with Product with Serializable

   A subclass of token representing string literals

6. #### class Token extends AnyRef

   The class of tokens, i.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val Colon: Delim

   The '`:`' token

7. #### val Comma: Delim

   The '`,`' token

8. #### val EOF: Token

   The token representing end of input

9. #### val FalseLit: Token

   The `false` token

10. #### val LBrace: Delim

    The '`{`' token

11. #### val LBracket: Delim

    The '`[`' token

12. #### val LParen: Delim

    The '`(`' token

13. #### val NullLit: Token

    The `null` token

14. #### val RBrace: Delim

    The '`}`' token

15. #### val RBracket: Delim

    The '`]`' token

16. #### val RParen: Delim

    The '`(`' token

17. #### val TrueLit: Token

    The `true` token

18. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

19. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

22. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

23. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

24. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

25. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### def quoted(str: String): String

    Returns given string enclosed in `"`-quotes with all string characters escaped so that they correspond to the JSON standard.

    Returns given string enclosed in `"`-quotes with all string characters escaped so that they correspond to the JSON standard. Characters that escaped are: `"`, `\b`, `\f`, `\n`, `\r`, `\t`, `\`. Furthermore, every other character which is not in the ASCII range 32-127 is escaped as a four hex-digit unicode character of the form `\ u x x x x`.

    str

      the string to be quoted

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toString(): String

    Definition Classes
      AnyRef → Any

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped